### Name: ANC Table
### Title: Dataset on effect of new ANC method on mortality (as a table)
### Aliases: ANCtable
### Keywords: datasets

### ** Examples

data(ANCtable)
use(ANCtable)
death <- death==2
anc <- factor(anc); levels(anc) <- c("old", "new")
clinic <- factor(clinic); levels(clinic) <- c("A","B") 
glm1 <- glm(death ~ anc ,weights=Freq, family=binomial)
logistic.display(glm1)
glm2 <- glm(death ~ anc + clinic ,weights=Freq, family=binomial)
logistic.display(glm2)
lrtest(glm1, glm2)
rm(death, anc, clinic)



